<div [ngClass]="{'clickable': dailyHistory.dailyMenuId!=null}" (click)="navigate()" fxLayout="column">
  <div fxLayout="row">
    <div fxLayout="column" fxLayoutAlign="space-around center" class="tomato">
      {{ dailyHistory.dailyMenuDate | slice:8 }}
    </div>
  </div>
  <div fxLayout="row" class="scrollable">
    <div fxLayout="column" fxLayoutAlign="space-around center" *ngIf="dailyHistory.dailyMenuId==null" class="no-menu">
      <p>
        <md-icon>not_interested</md-icon> No daily menus for that date. </p>
    </div>
    <div fxLayout="column" fxFlex="100%" fxLayoutGap="5px">
      <ng-template ngFor [ngForOf]="dailyHistory.foods" let-s let-i="index">
        <span *ngIf="s.quantity>=1">
          <div fxLayout="row" fxLayoutAlign="start none">
            <div fxLayout="column" class="foodname" fxFlex="2%">
            </div>
            <div fxLayout="column"  fxFlex="85%">
              <div fxLayout="row" class="foodname">
                  <span *ngIf="s.food.foodType === 'Salad'" class="icon-Salad"></span>
                  <span *ngIf="s.food.foodType === 'Main dish'" class="icon-Meal"></span>
                  <span *ngIf="s.food.foodType === 'Drink'" class="icon-Drink"></span>
                    {{s.food.foodName}}:
              </div>
            </div>
            <div fxLayout="column" fxFlex="10%">
              <div fxLayout="row" fxLayoutAlign="center center" class="quantity">
                  {{s.quantity}}
              </div>
            </div>
            <div fxLayout="column" class="foodname" fxFlex="3%">
            </div>
          </div>
        </span>
      </ng-template>
    </div>
</div>
<div fxLayout="row">
  <div fxLayout="column" fxFlex="100%">
    <div fxLayout="row" fxLayoutAlign="center center">
      <div *ngIf="dailyHistory.orderId > 0">
          <hr>
          <span> Total Price: {{totalPr}}<span [innerHTML]="globalSettingsService.getCurrency() | async"></span></span>
      </div>
      <div *ngIf="dailyHistory.orderId==0">
        <div *ngIf="orderAvail==true">
          <md-card-content>
            <button [routerLink]="['/hungry', getYear(), getWeek()]" md-mini-fab> Order</button>
          </md-card-content>
        </div>
        <div *ngIf="orderAvail!=true">
          <md-card-content>
            <button [routerLink]="['/hungry', getYear(), getWeek()]" md-raised-button color="accent"> Check the menu</button>
          </md-card-content>
        </div>
      </div>
    </div>
  </div>
</div>
</div>
